# rofi-pinboard


# Command line use
<!---[[[cog
import cog
import subprocess
res = subprocess.check_output(["rofi-pinboard","--help"],stderr=subprocess.DEVNULL, text=True).splitlines()
cog.outl("## rofi-pinboard")
cog.outl("```text")
for line in res:
    cog.outl(line)
cog.outl("```")
]]]-->
## rofi-pinboard
```text

 Usage: rofi-pinboard [OPTIONS] COMMAND [ARGS]...

 rofi pinboard

╭─ Options ────────────────────────────────────────────────────────────────────╮
│ --version                     Show the version and exit.                     │
│ --install-completion          Install completion for the current shell.      │
│ --show-completion             Show completion for the current shell, to copy │
│                               it or customize the installation.              │
│ --help                        Show this message and exit.                    │
╰──────────────────────────────────────────────────────────────────────────────╯
╭─ Commands ───────────────────────────────────────────────────────────────────╮
│ rofi     Call rofi and launch a browser with the selected url.               │
│ setup    Setup Pinboard                                                      │
╰──────────────────────────────────────────────────────────────────────────────╯

```
<!-- [[[end]]] -->

<!---[[[cog
import cog
from rofi_pinboard.__main__ import _subcommand_names
for subname in _subcommand_names:
    res = subprocess.check_output(["rofi-pinboard",subname, "--help"],stderr=subprocess.DEVNULL, text=True).splitlines()
    cog.outl(f"## rofi-pinboard {subname}")
    cog.outl("```text")
    for line in res:
        cog.outl(line)
    cog.outl("```")
]]]-->
## rofi-pinboard setup
```text

 Usage: rofi-pinboard setup [OPTIONS]

 Setup Pinboard

╭─ Options ────────────────────────────────────────────────────────────────────╮
│ --api-token        TEXT  [default: (dynamic)]                                │
│ --help                   Show this message and exit.                         │
╰──────────────────────────────────────────────────────────────────────────────╯

```
## rofi-pinboard rofi
```text

 Usage: rofi-pinboard rofi [OPTIONS]

 Call rofi and launch a browser with the selected url.

╭─ Options ────────────────────────────────────────────────────────────────────╮
│ --help          Show this message and exit.                                  │
╰──────────────────────────────────────────────────────────────────────────────╯

```
<!-- [[[end]]] -->
